=== debian/changelog ===
vdr-plugin-streamdev (0.5.0~pre20090706+cvs20091108.2341-4) unstable; urgency=low

  * Removed some bashisms (Closes: #581146)
  * source/format 3.0 (quilt)

 -- Tobias Grimm <etobi@debian.org>  Mon, 24 May 2010 00:03:40 +0200

vdr-plugin-streamdev (0.5.0~pre20090706+cvs20091108.2341-3) unstable; urgency=low

  [ Thomas Schmidt ]
  * Standards-Version: 3.8.4
  * Updated debian/copyright

  [ Tobias Grimm ]
  * Build-depend on vdr-dev >= 1.6.0-16
  * Dropped 01_include-fix.dpatch

 -- Tobias Grimm <etobi@debian.org>  Sun, 04 Apr 2010 16:01:38 +0200

vdr-plugin-streamdev (0.5.0~pre20090706+cvs20091108.2341-2) unstable; urgency=low

  * Added sk_SK to list of diversions (Closes: #555478)

 -- Tobias Grimm <etobi@debian.org>  Mon, 16 Nov 2009 12:35:48 +0100

vdr-plugin-streamdev (0.5.0~pre20090706+cvs20091108.2341-1) unstable; urgency=low

  * New Upstream Snapshot
  * Version number update
  * Removed non-standard shebang line from debian/rules (Closes: #552656)
  * Added README.source

 -- Tobias Grimm <etobi@debian.org>  Mon, 09 Nov 2009 00:42:54 +0100

vdr-plugin-streamdev (0.3.4+cvs20091004.1112-1) unstable; urgency=low

  * New Upstream Snapshot
  * Standards-Version: 3.8.3

 -- Tobias Grimm <etobi@debian.org>  Sun, 04 Oct 2009 13:13:01 +0200

vdr-plugin-streamdev (0.3.4+cvs20090830.1810-1) unstable; urgency=low

  * New Upstream Snapshot

 -- Tobias Grimm <etobi@debian.org>  Sun, 30 Aug 2009 20:10:47 +0200

vdr-plugin-streamdev (0.3.4+cvs20090707.2111-2) unstable; urgency=low

  * Bumped standards version to 3.8.2

 -- Tobias Grimm <etobi@debian.org>  Fri, 10 Jul 2009 21:14:00 +0200

vdr-plugin-streamdev (0.3.4+cvs20090707.2111-1) unstable; urgency=low

  * New Upstream Snapshot

 -- Thomas Günther <tom@toms-cafe.de>  Tue, 07 Jul 2009 23:11:51 +0200

vdr-plugin-streamdev (0.3.4+cvs20090621.1711-1) unstable; urgency=low

  * New Upstream Snapshot

 -- Thomas Günther <tom@toms-cafe.de>  Sun, 21 Jun 2009 19:11:50 +0200

vdr-plugin-streamdev (0.3.4+cvs20090509.1518-1) unstable; urgency=low

  * New Upstream Snapshot
  * Removed 02_has-internal-cam.dpatch
  * Added gettext to Build-Depends
  * Added installation of locale files
  * Added diversions for locale files
  * Added ${misc:Depends}
  * Bumped standards version to 3.8.1
  * Updated debian/copyright
  * Changed section to "video"
  * Changed get-orig-source target to use a CVS export instead of a checkout

 -- Thomas Günther <tom@toms-cafe.de>  Sat, 09 May 2009 17:18:08 +0200

vdr-plugin-streamdev (0.3.4-1) unstable; urgency=low

  * New upstream release (This is, except for the version number, identical to
    the last CVS snapshot!) (Closes: #475268)
  * Updated debian/watch
  * Added 02_has-internal-cam.dpatch

 -- Tobias Grimm <tg@e-tobi.net>  Fri, 25 Jul 2008 19:27:47 +0200

vdr-plugin-streamdev (0.3.3~cvs20080406.1321-4) unstable; urgency=low

  [ Tobias Grimm ]
  * Dropped patchlevel control field
  * Build-Depend on vdr-dev (>=1.6.0-5)
  * Bumped Standards-Version to 3.8.0

 -- Thomas Schmidt <tschmidt@debian.org>  Sat, 19 Jul 2008 18:24:29 +0200

vdr-plugin-streamdev (0.3.3~cvs20080406.1321-3) unstable; urgency=low

  * Upload to unstable

 -- Thomas Schmidt <tschmidt@debian.org>  Mon, 09 Jun 2008 00:05:47 +0200

vdr-plugin-streamdev (0.3.3~cvs20080406.1321-2) experimental; urgency=low

  * Increased package version to force rebuild for vdr 1.6.0-1ctvdr7

 -- Tobias Grimm <tg@e-tobi.net>  Mon, 12 May 2008 13:13:31 +0200

vdr-plugin-streamdev (0.3.3~cvs20080406.1321-1) experimental; urgency=low

  * New Upstream Snapshot

 -- Tobias Grimm <tg@e-tobi.net>  Sun, 06 Apr 2008 15:21:39 +0200

vdr-plugin-streamdev (0.3.3~cvs20080303.1753-2) experimental; urgency=low

  [ Thomas Schmidt ]
  * Build-Depend on vdr-dev (>=1.6.0)
  * Updated years in debian/copyright

 -- Tobias Grimm <tg@e-tobi.net>  Thu, 03 Apr 2008 23:59:25 +0200

vdr-plugin-streamdev (0.3.3~cvs20080303.1753-1) experimental; urgency=low

  * New Upstream Snapshot
  * Updated debian/copyright

 -- Tobias Grimm <tg@e-tobi.net>  Mon, 03 Mar 2008 18:53:54 +0100

vdr-plugin-streamdev (0.3.3~cvs20070921-6) experimental; urgency=low

  * Force rebuild for vdr 1.5.15

 -- Tobias Grimm <tg@e-tobi.net>  Mon, 18 Feb 2008 21:09:09 +0100

vdr-plugin-streamdev (0.3.3~cvs20070921-5) unstable; urgency=low

  * Release for vdrdevel 1.5.13

 -- Thomas Günther <tom@toms-cafe.de>  Wed, 16 Jan 2008 10:31:39 +0100

vdr-plugin-streamdev (0.3.3~cvs20070921-4) unstable; urgency=low

  * Release for vdrdevel 1.5.12

 -- Thomas Günther <tom@toms-cafe.de>  Tue, 20 Nov 2007 23:46:31 +0100

vdr-plugin-streamdev (0.3.3~cvs20070921-3) unstable; urgency=low

  * Release for vdrdevel 1.5.11

 -- Thomas Günther <tom@toms-cafe.de>  Tue,  6 Nov 2007 23:34:23 +0100

vdr-plugin-streamdev (0.3.3~cvs20070921-2) unstable; urgency=low

  [ Thomas Schmidt ]
  * Added Copyright information for Debian packaging to debian/copyright
  * Re-Added DVBDIR to debian/rules
  * Changed clean-target in debian/rules to not ignore errors anymore

  [ Thomas Günther ]
  * Release for vdrdevel 1.5.10

 -- Thomas Günther <tom@toms-cafe.de>  Tue, 16 Oct 2007 23:51:03 +0200

vdr-plugin-streamdev (0.3.3~cvs20070921-1) unstable; urgency=low

  * First upload to the official archive (Closes: #445648)
  * Updated debian/copyright
  * Updated package short descriptions
  * New Upstream Snapshot Release
  * Added get-orig-source target to debian/rules
  * Build-Depend on debhelper (>= 5), set COMPAT-Level to 5
  * Switched Build-System to cdbs, Build-Depend on cdbs

 -- Thomas Schmidt <tschmidt@debian.org>  Sun, 07 Oct 2007 18:16:18 +0200

vdr-plugin-streamdev (0.3.3~cvs20070509-5) experimental; urgency=low

  * Release for vdrdevel 1.5.9

 -- Thomas Günther <tom@toms-cafe.de>  Tue, 28 Aug 2007 01:01:14 +0200

vdr-plugin-streamdev (0.3.3~cvs20070509-4) experimental; urgency=low

  * Release for vdrdevel 1.5.8

 -- Thomas Günther <tom@toms-cafe.de>  Thu, 23 Aug 2007 01:09:12 +0200


