=== debian/control ===
Source: vdr-plugin-streamdev
Section: video
Priority: extra
Maintainer: Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>
Uploaders: Peter Siering <ps@ctmagazin.de>, Thomas Schmidt <tschmidt@debian.org>, Tobias Grimm <etobi@debian.org>, Thomas Günther <tom@toms-cafe.de>
Build-Depends: debhelper (>= 5), cdbs, vdr-dev (>= 1.6.0-16), gettext
Standards-Version: 3.8.4
Vcs-Svn: svn://svn.debian.org/pkg-vdr-dvb/vdr/vdr-plugin-streamdev/trunk/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-vdr-dvb/vdr/vdr-plugin-streamdev/trunk/
Homepage: http://streamdev.vdr-developer.org

Package: vdr-plugin-streamdev-client
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${vdr:Depends}
Description: VDR Plugin to stream Live-TV to other VDR's - client part 
 This plugin for vdr lets the software stream videos into
 the network. You can interconnect several vdrs that way
 or watch those streams with special client apps like video
 lan client or mplayer. This is the client part.

Package: vdr-plugin-streamdev-server
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${vdr:Depends}
Description: VDR Plugin to stream Live-TV to other VDR's - server part 
 This plugin for vdr lets the software stream videos into
 the network. You can interconnect several vdrs that way
 or watch those streams with special client apps like video
 lan client or mplayer. This is the server part.
