=== debian/watch ===
version=2
http://streamdev.vdr-developer.org/releases/vdr-streamdev-(.*)\.tgz
