=== debian/changelog ===
vdr-plugin-streamdev (0.5.1-3) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.20)
  * Standards-Version: 3.9.2

 -- Tobias Grimm <etobi@debian.org>  Sat, 20 Aug 2011 15:25:34 +0200

vdr-plugin-streamdev (0.5.1-2) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.18)

 -- Tobias Grimm <etobi@debian.org>  Sun, 17 Apr 2011 20:06:07 +0200

vdr-plugin-streamdev (0.5.1-1) unstable; urgency=low

  * New upstream release
  * Updated debian/watch
  * Updated debian/copyright
  * Build-depend on vdr-dev >= 1.7.17
  * Standards-Version: 3.9.1
  * Switched to debhelper 7 and dropped cdbs

 -- Tobias Grimm <etobi@debian.org>  Sat, 09 Apr 2011 20:56:06 +0200

vdr-plugin-streamdev (0.5.0-1) unstable; urgency=low

  * New upstream release
  * Removed 0001-Remove-bashisms.patch (fixed upstream)
  * Adapted debian files
  * Removed diversions for locale files
  * Removed README.source

 -- Thomas Günther <tom@toms-cafe.de>  Wed, 29 Sep 2010 11:01:31 +0200
