=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: extra
 Maintainer: Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>
 Uploaders: Peter Siering <ps@ctmagazin.de>, Thomas Schmidt <tschmidt@debian.org>, Tobias Grimm <etobi@debian.org>, Thomas Günther <tom@toms-cafe.de>
-Build-Depends: debhelper (>= 5), cdbs, vdr-dev (>= 1.6.0-16), gettext
-Standards-Version: 3.8.4
+Build-Depends: debhelper (>= 7.0.50~), vdr-dev (>= 1.7.20), gettext
+Standards-Version: 3.9.2
 Vcs-Svn: svn://svn.debian.org/pkg-vdr-dvb/vdr/vdr-plugin-streamdev/trunk/
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-vdr-dvb/vdr/vdr-plugin-streamdev/trunk/
 Homepage: http://streamdev.vdr-developer.org
