## vdr-plugin-streamdev 0.5.1+git20111211

=== debian/changelog ===
vdr-plugin-streamdev (0.5.1+git20111211-2) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.23)

 -- Tobias Grimm <etobi@debian.org>  Sun, 29 Jan 2012 19:05:20 +0100

vdr-plugin-streamdev (0.5.1+git20111211-1) unstable; urgency=low

  * New Upstream Snapshot
  * Build-depend on vdr-dev (>= 1.7.22)

 -- Tobias Grimm <etobi@debian.org>  Sun, 11 Dec 2011 20:45:42 +0100

vdr-plugin-streamdev (0.5.1-5) unstable; urgency=low

  * Switched to GIT using pristine tar

 -- Tobias Grimm <etobi@debian.org>  Sat, 29 Oct 2011 20:11:20 +0200

vdr-plugin-streamdev (0.5.1-4) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.21)

 -- Tobias Grimm <etobi@debian.org>  Sun, 18 Sep 2011 18:23:32 +0200
