=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: extra
 Maintainer: Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>
 Uploaders: Peter Siering <ps@ctmagazin.de>, Thomas Schmidt <tschmidt@debian.org>, Tobias Grimm <etobi@debian.org>, Thomas Günther <tom@toms-cafe.de>
-Build-Depends: debhelper (>= 7.0.50~), vdr-dev (>= 1.7.20), gettext
+Build-Depends: debhelper (>= 7.0.50~), vdr-dev (>= 1.7.23), gettext
 Standards-Version: 3.9.2
-Vcs-Svn: svn://svn.debian.org/pkg-vdr-dvb/vdr/vdr-plugin-streamdev/trunk/
-Vcs-Browser: http://svn.debian.org/wsvn/pkg-vdr-dvb/vdr/vdr-plugin-streamdev/trunk/
 Homepage: http://streamdev.vdr-developer.org
+Vcs-Git: git://git.debian.org/git/pkg-vdr-dvb/vdr-plugin-streamdev.git
+Vcs-Browser: http://git.debian.org/?p=pkg-vdr-dvb/vdr-plugin-streamdev.git
 
 Package: vdr-plugin-streamdev-client
 Architecture: any
@@ -17,6 +17,8 @@
  the network. You can interconnect several vdrs that way
  or watch those streams with special client apps like video
  lan client or mplayer. This is the client part.
+Vcs-Git: git://git.debian.org/git/pkg-vdr-dvb/vdr-plugin-streamdev.git
+Vcs-Browser: http://git.debian.org/?p=pkg-vdr-dvb/vdr-plugin-streamdev.git
 
 Package: vdr-plugin-streamdev-server
 Architecture: any
