=== debian/changelog ===
vdr-plugin-streamdev (0.6.0-2) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.28)

 -- Tobias Grimm <etobi@debian.org>  Sat, 09 Jun 2012 18:29:54 +0200

vdr-plugin-streamdev (0.6.0-1) unstable; urgency=low

  * New upstream release
  * Drop diversions left over form versions prior to 0.5.0-1 (Closes: #656366)

 -- Tobias Grimm <etobi@debian.org>  Wed, 30 May 2012 18:34:19 +0200

vdr-plugin-streamdev (0.5.1+git20111211+git20120325-2) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.27)

 -- Tobias Grimm <etobi@debian.org>  Thu, 19 Apr 2012 23:03:18 +0200

vdr-plugin-streamdev (0.5.1+git20111211+git20120325-1) unstable; urgency=low

  * New Upstream Snapshot (commit a179771)
  * Build-depend on vdr-dev (>= 1.7.26)
  * Standards-Version: 3.9.3

 -- Tobias Grimm <etobi@debian.org>  Sun, 25 Mar 2012 12:19:42 +0200
