=== debian/changelog ===
vdr-plugin-streamdev (0.6.0+git20130305-5) unstable; urgency=low

  * Build-depend on vdr-dev (>= 2.0.0)

 -- Tobias Grimm <etobi@debian.org>  Sun, 31 Mar 2013 14:00:19 +0200

vdr-plugin-streamdev (0.6.0+git20130305-4) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.42)

 -- Tobias Grimm <etobi@debian.org>  Sat, 23 Mar 2013 20:48:26 +0100

vdr-plugin-streamdev (0.6.0+git20130305-3) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.41)

 -- Tobias Grimm <etobi@debian.org>  Sun, 17 Mar 2013 19:45:04 +0100

vdr-plugin-streamdev (0.6.0+git20130305-2) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.40)

 -- Tobias Grimm <etobi@debian.org>  Sun, 10 Mar 2013 19:32:58 +0100

vdr-plugin-streamdev (0.6.0+git20130305-1) unstable; urgency=low

  * New Upstream Snapshot (commit 75ee90a)
  * Use debhelper 9
  * Build-depend on vdr-dev (>= 1.7.39) and pkg-config

 -- Tobias Grimm <etobi@debian.org>  Tue, 05 Mar 2013 22:29:39 +0100
