=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>
 Uploaders: Peter Siering <ps@ctmagazin.de>, Thomas Schmidt <tschmidt@debian.org>, Tobias Grimm <etobi@debian.org>, Thomas Günther <tom@toms-cafe.de>
-Build-Depends: debhelper (>= 7.0.50~), vdr-dev (>= 1.7.28), gettext
+Build-Depends: debhelper (>= 9), vdr-dev (>= 2.0.0), gettext, pkg-config
 Standards-Version: 3.9.3
 Homepage: http://streamdev.vdr-developer.org
 Vcs-Git: git://git.debian.org/git/pkg-vdr-dvb/vdr-plugin-streamdev.git
