## vdr-plugin-streamdev 0.6.1

=== debian/changelog ===
vdr-plugin-streamdev (0.6.1-1) unstable; urgency=medium

  * New upstream release

 -- Tobias Grimm <etobi@debian.org>  Tue, 04 Nov 2014 22:10:33 +0100

vdr-plugin-streamdev (0.6.0+git20130305-6) unstable; urgency=medium

  * Build-depend on vdr-dev (>= 2.0.6)
  * Standards-Version: 3.9.5

 -- Tobias Grimm <etobi@debian.org>  Sun, 26 Oct 2014 14:23:22 +0100
