=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: extra
 Maintainer: Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>
 Uploaders: Peter Siering <ps@ctmagazin.de>, Thomas Schmidt <tschmidt@debian.org>, Tobias Grimm <etobi@debian.org>, Thomas Günther <tom@toms-cafe.de>
-Build-Depends: debhelper (>= 9), vdr-dev (>= 2.0.0), gettext, pkg-config
-Standards-Version: 3.9.3
+Build-Depends: debhelper (>= 9), vdr-dev (>= 2.0.6), gettext, pkg-config
+Standards-Version: 3.9.5
 Homepage: http://streamdev.vdr-developer.org
 Vcs-Git: git://git.debian.org/git/pkg-vdr-dvb/vdr-plugin-streamdev.git
 Vcs-Browser: http://git.debian.org/?p=pkg-vdr-dvb/vdr-plugin-streamdev.git
