## vdr-plugin-streamdev 0.6.1+git20150213

=== debian/changelog ===
vdr-plugin-streamdev (0.6.1+git20150213-3) unstable; urgency=medium

  * Now supporting the /etc/vdr/conf.d mechanism

 -- Tobias Grimm <etobi@debian.org>  Mon, 23 Mar 2015 23:22:11 +0100

vdr-plugin-streamdev (0.6.1+git20150213-2) unstable; urgency=medium

  * Build-depend on vdr-dev (>= 2.2.0)

 -- Tobias Grimm <etobi@debian.org>  Thu, 19 Feb 2015 12:39:57 +0100

vdr-plugin-streamdev (0.6.1+git20150213-1) unstable; urgency=medium

  * New Upstream Snapshot (commit 84c6f6b)
  * Standards-Version: 3.9.6
  * Build-depend on vdr-dev (>= 2.1.10)

 -- Tobias Grimm <etobi@debian.org>  Fri, 13 Feb 2015 23:57:09 +0100
