=== debian/changelog ===
vdr-plugin-streamdev (0.6.1+git20170911-2) unstable; urgency=medium

  * VCS moved to salsa.debian.org
  * Replaced priority extra with optional
  * Build-depend on vdr-dev (>= 2.4.0)
  * Standards-Version: 4.1.3

 -- Tobias Grimm <etobi@debian.org>  Sun, 15 Apr 2018 19:47:19 +0200

vdr-plugin-streamdev (0.6.1+git20170911-1) unstable; urgency=medium

  * New Upstream Snapshot (commit b84b7d8) (Closes: #872491)
  * Added fixes for vdr-2.3.7
  * Standards-Version: 3.9.8

 -- Tobias Grimm <etobi@debian.org>  Mon, 11 Sep 2017 21:56:42 +0200
