=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: vdr-plugin-streamdev
 Section: video
-Priority: extra
+Priority: optional
 Maintainer: Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>
 Uploaders: Peter Siering <ps@ctmagazin.de>, Thomas Schmidt <tschmidt@debian.org>, Tobias Grimm <etobi@debian.org>, Thomas Günther <tom@toms-cafe.de>
-Build-Depends: debhelper (>= 9), vdr-dev (>= 2.2.0), gettext, pkg-config
-Standards-Version: 3.9.6
+Build-Depends: debhelper (>= 9), vdr-dev (>= 2.4.0), gettext, pkg-config
+Standards-Version: 4.1.3
 Homepage: http://streamdev.vdr-developer.org
-Vcs-Git: git://git.debian.org/git/pkg-vdr-dvb/vdr-plugin-streamdev.git
-Vcs-Browser: http://git.debian.org/?p=pkg-vdr-dvb/vdr-plugin-streamdev.git
+Vcs-Git: https://salsa.debian.org/vdr-team/vdr-plugin-streamdev.git
+Vcs-Browser: https://salsa.debian.org/vdr-team/vdr-plugin-streamdev
 
 Package: vdr-plugin-streamdev-client
 Architecture: any
@@ -17,8 +17,8 @@
  the network. You can interconnect several vdrs that way
  or watch those streams with special client apps like video
  lan client or mplayer. This is the client part.
-Vcs-Git: git://git.debian.org/git/pkg-vdr-dvb/vdr-plugin-streamdev.git
-Vcs-Browser: http://git.debian.org/?p=pkg-vdr-dvb/vdr-plugin-streamdev.git
+Vcs-Git: https://salsa.debian.org/vdr-team/vdr-plugin-streamdev.git
+Vcs-Browser: https://salsa.debian.org/vdr-team/vdr-plugin-streamdev
 
 Package: vdr-plugin-streamdev-server
 Architecture: any
